[data-group-link]{cursor:pointer;}

/* Default: visible (no JS) */
#content {
    opacity: 0;
    transition: 1s;
}

/* JS-enabled only */
body.js #content.is-visible {
    opacity: 1;
    /* animation: fade-in 1s linear; */
}

/* @keyframes fade-in {
    0%{ opacity: 0;}
    100%{opacity: 1;}
} */

body {
    /* genium */
    --genium--font--principal: 'PP Neue Montreal', sans-serif;
    --genium--font--secundaria: var(--genium--font--principal);

    --genium--color--text: #2A4855;
    --genium--color--text-clar: #ffffff;

    --genium--color--primary: #2A4855;
    --genium--color--primary-light: #637F8B;
    --genium--color--primary-dark: #323F45;

    --genium--color--secondary: #DF5C4F;
    --genium--color--secondary-light: #D99189;
    --genium--color--secondary-dark: #B04237;

    --genium--color--error: #FF0033;
    --genium--color--success: #56C752;
    --genium--color--warning: #F89D00;

    --genium--color--neutral: #E2E2E2;
    --genium--color--neutral-light: #EFEFEF;
    --genium--color--neutral-dark: #A9A9A9;

    --genium--color--borders: #AEAEAE;

    --genium--maxwidth: 1150px;
    --genium--maxwidth--narrow: 900px;
    --genium--maxwidth--wide: 1500px;

    --genium--padding--sides: 3%;
    --genium--padding--sides-big: 10%;
    --genium--padding--bottom: 100px;

    --genium--columns--margin: 2.9rem;

    --genium--sidebarpage--width: 750px;
    --genium--sidebar--width: 410px;

    --genium--logo--height: 75px;
    --genium--logo--height--slim: 35px;
    --genium--logo--width: auto;

    --genium--height--header: 100px;
    --genium--height--footer: 400px;

    --genium--fonts--h1: 3.5rem;
    --genium--fonts--h1--large: 3.25rem;
    --genium--fonts--h1--weight: 400;
    --genium--fonts--h1--height: 1.15em;

    --genium--fonts--h2: 2.15rem;
    --genium--fonts--h2--weight: normal;
    --genium--fonts--h2--height: 1.3em;

    --genium--fonts--h3: 1.9rem;
    --genium--fonts--h3--weight: normal;
    --genium--fonts--h3--height: 1.3em;

    --genium--fonts--h4: 1.25rem;
    --genium--fonts--h4--weight: bold;
    --genium--fonts--h4--height: 1.3em;

    --genium--fonts--p: 1.2rem;
    --genium--fonts--p--weight: normal;
    --genium--fonts--p--height: 1.4em;

    --genium--fonts--p--small: 0.93rem;
    --genium--fonts--p--small--height: 1.5em;

    --genium--fonts--p--medium: 1.4rem;
    --genium--fonts--p--medium--height: 1.4em;

    --genium--fonts--p--large: 2.15rem;
    --genium--fonts--p--large--height: 1.33em;

    --genium--fonts--p--xlarge: 8.7em;
    --genium--fonts--p--xlarge--height: 1em;

    --genium--fonts--margins: 1.2rem;

    /* buttons */
    --genium--buttons--radius: 6px;
    /* --genium--buttons--minwidth: 275px; */
    --genium--buttons--padding: calc(.667em + 2px) calc(1.5em + 2px);
    
    /* effects*/
    --genium--transition: .2s;

    /* wp */
    --wp--preset--font-size--small: 13px;
    --wp--preset--font-size--medium: 19px;
    --wp--preset--font-size--large: 26px;
    --wp--preset--font-size--x-large: 36px;
}

h2{
    color: #df5c4f;
}

.genium-styles p.has-x-large-font-size{
    margin-bottom: .5em;
}


.wp-block-columns{
    display: flex;
}

.wp-block-image img{
    border-radius: 35px;
}

#header{
    height: 100vh;
    width: 300px;
    background-color: transparent;
}
#header > .wp-block-columns {
    flex-flow: column wrap;
	justify-content: flex-start;
	align-items: flex-start !important;
	height: 100%;
}
#header ul.menu {
    display: flex;
    flex-flow: column wrap;
}
#header ul.menu li {
    margin-bottom: .7em;
}
#header ul.menu li a {
	padding-left: 0;
}

.whatsapp img{
    height: 30px;
    width: auto;
}

.hover-color ul.menu li a:hover, .hover-color ul.menu li.current_page_item a {
	color: var(--genium--color--secondary);
}

.logo-af img{
    height: 70px;
    width: auto;
}

.max-width-left{
    max-width: 800px;
}

#menu-lateral{
    position: fixed;
    right: 0;
    top: 0;
    height: 100vh;
    width: 300px;
    z-index: 2;
    display: flex;
    flex-flow: row wrap;
}
#menu-lateral .menu-item{
    position: absolute;
    height: 100%;
    right: 0;
    transform: translateX(100vw);
    border-top-left-radius: 30px;
    border-bottom-left-radius: 30px;
    transition: .2s;

    font-size: 1.7em !important;
    /* writing-mode: vertical-rl; */
    display: flex;
    align-items: flex-end;
    justify-content: flex-start;
}
#menu-lateral .menu-item .text{
    margin-bottom: 90px;
    margin-left: 15px;
    writing-mode: sideways-lr;
}
#menu-lateral .menu-item:nth-child(1) .text{
    color: #000000;
}
#menu-lateral .menu-item:nth-child(2) .text,
#menu-lateral .menu-item:nth-child(3) .text{
    color: #ffffff;
}
#menu-lateral .menu-item svg{
    position: absolute;
    z-index: 1;
    bottom: 10px;
    left: 5px;
    transition: var(--genium--transition);
}
#menu-lateral .menu-item:hover svg{
    transform: rotate(-90deg);
}
#menu-lateral .menu-item.is-active {
    transform: translateX(0);
}

/* #menu-lateral .menu-item:hover{
    transform: translateX(calc(100vw - 10px));
} */
body.gris{
    background-color: #f5f5f5;
}
#menu-lateral .menu-item:nth-child(1){
    background-color: #f5f5f5;
    width: calc(100vw + (70px * 3));
}
body.vermell,
body.vermell p:not(.has-text-color) a{
    background-color: var(--genium--color--secondary);
    color: #ffffff;
}
body.vermell .hover-color ul.menu li a:hover, body.vermell .hover-color ul.menu li.current_page_item a {
	color: var(--genium--color--primary);
}
body.vermell h2{
    color: #ffffff !important;
}
#menu-lateral .menu-item:nth-child(2){
    background-color: var(--genium--color--secondary);
    width: calc(100vw + (70px * 2));
}
body.page-id-757{
    background-color: var(--genium--color--primary);
    color: #ffffff;
}
#menu-lateral .menu-item:nth-child(3){
    background-color: var(--genium--color--primary);
    width: calc(100vw + (70px * 1));
}

body.blau .wp-block-button a{
    background-color: var(--genium--color--secondary);
}

/*versiones*/
body.blau #menu-lateral .menu-item:nth-child(1){
    width: calc(100vw + (70px * 2));
}
body.blau #menu-lateral .menu-item:nth-child(2){
    width: calc(100vw + (70px * 1));
}
body.blau #menu-lateral .menu-item:nth-child(3){
    width: calc(100vw + (70px * 0));
}

body.gris #menu-lateral .menu-item:nth-child(1){
    width: calc(100vw + (70px * 0));
}
body.gris #menu-lateral .menu-item:nth-child(2){
    width: calc(100vw + (70px * 2));
}
body.gris #menu-lateral .menu-item:nth-child(3){
    width: calc(100vw + (70px * 1));
}

body.vermell #menu-lateral .menu-item:nth-child(1){
    width: calc(100vw + (70px * 2));
}
body.vermell #menu-lateral .menu-item:nth-child(2){
    width: calc(100vw + (70px * 0));
}
body.vermell #menu-lateral .menu-item:nth-child(3){
    width: calc(100vw + (70px * 1));
}

body h1{
    font-weight: normal;
    font-size: 3.5em !important;
}
.genium-styles p.has-medium-font-size{
    font-weight: 500;
}


input[type="submit"], .button, .wp-block-button a, .comment-reply-link, .woocommerce-message a.button, .woocommerce .cart .button, .woocommerce a.button {
    border-radius: var(--genium--buttons--radius);
}

.wp-block-columns.gap-thin{
    gap: 15px !important;
}
.separacion-cols .wp-block-column{
    border-left: solid 1px var(--genium--color--primary);
    padding-left: 25px;
}


.link-block{
    position: relative;
}
.link-block svg{
    position: absolute;
    z-index: 1;
    top: 20px;
    right: 20px;
    transition: var(--genium--transition);
}
.link-block:hover svg{
    top: 10px;
    right: 10px;
}
.link-block .wp-block-cover{
    border-radius: 35px;
}
.link-block .wp-block-cover img{
    transition: var(--genium--transition);
}
.link-block:hover .wp-block-cover img{
    transform: scale(1.05);
}

.space-between{
    justify-content: space-between;
    display: flex;
    flex-flow: column wrap;
}

/* Basic styles */
.immoble-container { max-width: 1200px; margin: auto; padding: 20px; }
.immoble-main { display: flex; gap: 20px; }
.immoble-gallery { flex: 2; display: flex; gap: 10px; flex-flow: row wrap; position: relative; overflow: hidden; }
.main-image{
    height: 0;
    padding-bottom: 56%;
    position: relative;
    flex-basis: calc(100% - 120px);
}
.main-image img { 
    cursor: pointer;
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    object-fit: cover;
}
.thumb-images { 
    display: flex; flex-direction: column; gap: 10px; flex-basis: 100px;
    position: absolute;
    top: 0;
    right: 0;
    height: 100%;
}
.thumb-images:after {
   content: '';
   position: absolute;
   background-image: linear-gradient(to bottom, transparent, white);
   opacity: 2.5; 
   height:100%;
   width:100%;
   pointer-events: none;
   height: 50px;
   bottom: 0;
}
.thumb-images img { width: 100px; cursor: pointer; }
.immoble-sidebar { flex: 1; }
.immoble-details { list-style: none; padding: 0 !important; display: flex; flex-flow: row wrap; }
.immoble-details li { margin-bottom: 15px; flex-basis: 30%;}
.icon { margin-right: 8px; }
.button{
    font-size: var(--genium--fonts--p) !important;
}
/* Modal */
.modal { display: none; position: fixed; z-index: 1000; padding-top: 60px; left: 0; top: 0; width: 100%; height: 100%; overflow: auto; background-color: rgba(0,0,0,0.9); }
.modal-content { margin: auto; display: block; max-width: 90%; max-height: 80%; }
.close { position: absolute; top: 20px; right: 35px; color: #fff; font-size: 40px; font-weight: bold; cursor: pointer; }
.prev, .next { cursor: pointer; position: absolute; top: 50%; width: auto; padding: 16px; color: white; font-weight: bold; font-size: 30px; user-select: none; transform: translateY(-50%); }
.prev { left: 0; }
.next { right: 0; }


.immobles-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(380px, 1fr));
    gap: 30px;
}
.immoble-title {
    font-size: 20px;
    margin-bottom: 10px;
}
.immoble-image{
    position: relative;
    height: 0;
    padding-bottom: 56%;
    overflow: hidden;
}
.immoble-image img {
    width: 100%;
    height: auto;
    margin-bottom: 10px;
    height: 100%;
    object-fit: cover;
    position: absolute;
    top: 0;
    left: 0;
    transition: .2s;
}
.immoble-card{
    display: flex;
    flex-flow: column wrap;
}
.immoble-card .immoble-title{
    flex-grow: 1;
}
.immoble-card:hover .immoble-image img {
    transform: scale(1.05);
}
.genium-styles .immoble-price,
.price {
    font-weight: bold !important;
    margin-bottom: 10px;
    text-align: right;
}
.immoble-meta {
    display: flex;
    gap: 15px;
    font-size: 14px;
}

#contactForm{
    margin-top: 40px;
}

.fila-icon{
    flex-flow: row wrap !important;
    gap: 20px;
}
.fila-icon figure{
    flex-basis: 70px; 
    gap: 20px;
}
.fila-icon p{
    flex-basis: calc(100% - 90px);
}
.fila-icon img{
    border-radius: 0;
    height: 70px !important;
    width: 70px !important;
    object-fit: contain;
}


.scrolling-container {
  width: 100%;
  overflow: hidden;
  white-space: nowrap;
  box-sizing: border-box;
}
.scrolling-content {
  display: inline-flex;
  white-space: nowrap;
  will-change: transform;
  /* animation: scroll-left 6s linear infinite; */
}
h1.giant-title,
.genium-styles p.giant-text {
  display: inline-block;
  font-size: 16rem !important;
  margin-right: 4rem; 
}
.genium-styles p.giant-text {
    display: inline-block;
    font-size: 10rem !important;
    margin-right: 4rem;
    font-family: var(--genium--font--secundaria);
    line-height: 1.2em;
    margin-top: 0;
}
@keyframes scroll {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(-50%);
  }
}

#main-menu.wp-block-columns{
    flex-flow: column wrap;
    align-items: flex-start !important;
}
.dropdown-content{
    padding: 10px;
}

/* BREAKPOINTS */
@media (max-height: 750px) { 

}

@media (max-width: 1650px) {
    body{
       --genium--maxwidth:calc(100% - 500px);

    }
    .genium-styles > .wp-block-group, .genium-styles > p, .genium-styles > h1, .genium-styles > h2, .genium-styles > h3, .genium-styles > h4, .genium-styles > h5, .genium-styles > h6, .genium-styles > ul, .genium-styles > ol, .genium-styles > .wp-block-columns, .genium-styles > .wp-block-image, .genium-styles > .wp-block-gallery, .genium-styles > .lwptoc, .genium-styles > .wp-block-video, .genium-styles > .wp-block-table, .genium-styles > .wpcf7 {
        margin-left: 250px;
        margin-right: auto;
    }
}

@media (max-width: 1336px) {

}

@media (max-width: 1200px) {

     body{
       --genium--maxwidth:calc(100%);
    }
    .genium-styles > .wp-block-group, .genium-styles > p, .genium-styles > h1, .genium-styles > h2, .genium-styles > h3, .genium-styles > h4, .genium-styles > h5, .genium-styles > h6, .genium-styles > ul, .genium-styles > ol, .genium-styles > .wp-block-columns, .genium-styles > .wp-block-image, .genium-styles > .wp-block-gallery, .genium-styles > .lwptoc, .genium-styles > .wp-block-video, .genium-styles > .wp-block-table, .genium-styles > .wpcf7 {
        margin-left: auto;
        margin-right: auto;
    }

    #header {
        height: var(--genium--height--header);
        width: 100%;
        background-color: transparent;
        display: flex;
        flex-flow: row wrap;
        background-color: #ffffff;
    }
    .page-template-template-vermell #header{
        background-color: var(--genium--color--secondary);
    }
    .page-template-template-gris #header{
        background-color: #f5f5f5;
    }
    .page-template-template-blau #header{
        background-color: var(--genium--color--primary);
    }
    .page-template-template-blau #menu-button .lineamenu,
    .page-template-template-vermell #menu-button .lineamenu
    {
        background: #ffffff;
    }
    #header > .wp-block-columns{
        display: flex;
        flex-flow: row wrap;
    }
    #content{
        padding-left: 6%;
        padding-right: 6%;
    }

    #side-menu ul li {
        font-size: 1.5rem !important;
        margin-bottom: 1em;
    }

    .genium-styles > .wp-block-group, .genium-styles > p, .genium-styles > h1, .genium-styles > h2, .genium-styles > h3, .genium-styles > h4, .genium-styles > h5, .genium-styles > h6, .genium-styles > ul, .genium-styles > ol, .genium-styles > .wp-block-columns, .genium-styles > .wp-block-image, .genium-styles > .wp-block-gallery, .genium-styles > .lwptoc, .genium-styles > .wp-block-video, .genium-styles > .wp-block-table, .genium-styles > .wpcf7 {
        padding-left: 0;
        padding-right: 0;
    }

    .big-gap{
        gap: var(--genium--columns--margin);
    }

    .logo-af{
        display: none;
    }
    .whatsapp img{
        display: none;
    }
    #menu-lateral{
        height: 300px;
        width: 100vw;
        bottom: 0;
        top: auto;
        flex-flow: column wrap;
    }

    #menu-lateral .menu-item {
        display: none;
        position: absolute;
        height: auto;
        width: 100% !important;
        right: 0;
        transform: translateX(100vw);
        border-top-left-radius: 30px;
        border-bottom-left-radius: 30px;
        transition: .2s;
        font-size: 1.7em !important;
        /* writing-mode: vertical-rl; */
        display: flex;
        align-items: flex-end;
        justify-content: flex-start;
    }

    #menu-lateral .menu-item:nth-child(1) {
        height: calc(100% + (70px * 3));
    }
    #menu-lateral .menu-item:nth-child(2) {
        width: calc(100% + (70px * 2));
    }
    #menu-lateral .menu-item:nth-child(3) {
        width: calc(100%+ (70px * 1));
    }



}


@media (max-width: 781px) { 
    body{
        --genium--logo--height: 40px;
        --genium--height--header: 60px;

        --genium--fonts--h1: 2rem;
        --genium--fonts--h2: 1.7rem;
        --genium--fonts--h3: 1.4rem;
        --genium--fonts--h4: 1.15rem;
        --genium--fonts--p: 1.1rem;
        --genium--fonts--p--small: 0.93rem;
        --genium--fonts--p--medium: 1.25rem;
        --genium--fonts--p--large: 1.5rem;
        --genium--fonts--p--xlarge: 2rem;
    }
    #header .language{
        display: none;
    }
}

@media (max-width: 543px) { 
    body{
        --genium--logo--height: 40px;
    }
    .max-width{
        padding-left: var(--genium--padding--sides);
        padding-right: var(--genium--padding--sides);
    }

    body.home h1 {
        font-weight: normal;
        font-size: 2.5em !important;
    }
}